<script>
	import SVG from "@/components/svg.svelte"

	import { l, t } from "@/i18n"
	import { isLight } from "@/stores/static"
	import srcset from "@/helpers/srcset"
	import { navigating } from "$app/stores"

	export let car
	export let lazyClass = "lazy"

	const m = imgs => imgs?.reduce((prev, curr) => prev.position < curr.position ? prev : curr)

	$: getImage = images => srcset(m(images).filename)
</script>

<template lang="pug">
+if('car')
	a.card.is-flex.is-flex-direction-column.is-justify-content-flex-start( 
		href!='{$l("cars/" + car.url)}'
		class:dark='{!$isLight}')
		.image
			img( class!='{lazyClass}' data-src!='{getImage(car.images)["400x"]}' )
		.body.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-space-between
			.is-flex.is-align-items-flex-start.is-justify-content-flex-start
				.brand
					.icon.is-flex.is-align-items-center: SVG( folder="brands" name='{car.brand.url}' )
				.data
					p.price 
						+if('car.price')
							|${car.price}
							+else
								|{$t("car.negotiable")}
					p.name {car.name}
			.button.is-flex.is-align-items-center.is-justify-content-center {$t("buttons.order")}
</template>

<style lang="scss">
	.card {
		box-shadow: 
				0px 100px 80px rgba(0, 0, 0, 0), 
				0px 64.8148px 46.8519px rgba(0, 0, 0, 0), 
				0px 38.5185px 25.4815px rgba(0, 0, 0, 0), 
				0px 20px 13px rgba(0, 0, 0, 0), 
				0px 8.14815px 6.51852px rgba(0, 0, 0, 0), 
				0px 1.85185px 3.14815px rgba(0, 0, 0, 0);;
		transition: 
			background .2s ease-in-out,
			box-shadow .2s ease-in-out;
		&:hover {
			box-shadow: 
				0px 100px 80px rgba(0, 0, 0, 0.07), 
				0px 64.8148px 46.8519px rgba(0, 0, 0, 0.0531481), 
				0px 38.5185px 25.4815px rgba(0, 0, 0, 0.0425185), 
				0px 20px 13px rgba(0, 0, 0, 0.035), 
				0px 8.14815px 6.51852px rgba(0, 0, 0, 0.0274815), 
				0px 1.85185px 3.14815px rgba(0, 0, 0, 0.0168519);
			.button {
				opacity: 1;
			}
		}
		&.dark {
			&:hover {
				background: #2E2E2E;
			}
			.body {
				color: $white;
				.brand {
					:global(svg path) {
						fill: $white;
					}
				}
			}
		}
	}

	.image {
		padding-top: 56.25%;
		margin-bottom: .5rem;
		position: relative;
		overflow: hidden;
		img {
			width: 100%;
			height: auto;
			margin: auto;
			position: absolute;
			top: -50%;
			right: -50%;
			bottom: -50%;
			left: -50%;
		}
	}

	.body {
		color: $black;
		min-height: 8.4rem;
		transition: color .2s ease-in-out;
	}

	.brand {
		padding-left: .5rem;
		.icon {
			width: 2rem;
			height: 2rem;
			margin-right: .5rem;
		}
		:global(svg path) {
			transition: fill .2s ease-in-out;
		}
	}
	.price {
		font-size: 1.125rem;
		font-weight: 500;
		padding-left: .25rem;
		margin-bottom: .25rem;
	}
	.name {
		font-size: .875rem;
		font-weight: 300;
	}

	.button {
		font-size: 1.125rem;
		font-weight: 500;
		color: $black;
		box-sizing: border-box;
		width: 100%;
		padding: .625rem;
		background: $primary;
		opacity: 0;
		transition: opacity .2s ease-in-out;
	}
</style>